org.apache.ignite.cache.affinity

## Class AffinityNodeAddressHashResolver

- java.lang.Object
- - org.apache.ignite.cache.affinity.AffinityNodeAddressHashResolver

All Implemented Interfaces:
  Serializable, AffinityNodeHashResolver

    public class AffinityNodeAddressHashResolver
    extends Object
    implements AffinityNodeHashResolver

Node hash resolver which uses `ClusterNode.consistentId()` as alternate hash value.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AffinityNodeAddressHashResolver()`

### Method Summary

Methods
`Object` `resolve(ClusterNode node)` Resolve alternate hash value for the given Grid node.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AffinityNodeAddressHashResolver

    public AffinityNodeAddressHashResolver()

### Method Detail

#### resolve

    public Object resolve(ClusterNode node)

Resolve alternate hash value for the given Grid node.

Specified by:
  `resolve` in interface `AffinityNodeHashResolver`
Parameters:
  `node` - Grid node.
Returns:
  Resolved hash ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015